Loading...
Searching...
No Matches
pdftron::Layout::Table Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::Table:

## Public Member Functions
| ~Table ()
void | Destroy ()
TableRow | AddTableRow ()
TableCell | GetTableCell (UInt32 column, UInt32 row)
void | SetDefaultColumnWidth (double val)
double | GetDefaultRowHeight ()
void | SetDefaultRowHeight (double val)
void | SetBorder (double thickness, UInt8 red, UInt8 green, UInt8 blue)
double | GetBorderThickness ()
UInt32 | GetNumRows ()
UInt32 | GetNumColumns ()
Public Member Functions inherited from pdftron::Layout::ContentNode
| ~ContentNode ()
void | Destroy ()
ContentNodeIterator | GetContentNodeIterator ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Friends
class | FlowDocument
class | ElementRef< Table >
class | TableCell

## Additional Inherited Members
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl
Protected Member Functions inherited from pdftron::Layout::ContentNode
| ContentNode (TRN_ContentNode impl)
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Detailed Description

A Table is a content node that contains a grid of cells.

Definition at line 785 of file ContentTree.h.

## Constructor & Destructor Documentation

## ◆ ~Table()

pdftron::Layout::Table::~Table | ( |  | ) |

## Member Function Documentation

## ◆ AddTableRow()

TableRow pdftron::Layout::Table::AddTableRow | ( |  | ) |

Add a new row to the table

Returns
  The newly created row

## ◆ Destroy()

void pdftron::Layout::Table::Destroy | ( |  | ) |

## ◆ GetBorderThickness()

double pdftron::Layout::Table::GetBorderThickness | ( |  | ) |

Get the border thickness of the table

Returns
  border thickness in points

## ◆ GetDefaultRowHeight()

double pdftron::Layout::Table::GetDefaultRowHeight | ( |  | ) |

Get default row height of the table

Returns
  Default row height of the table

## ◆ GetNumColumns()

UInt32 pdftron::Layout::Table::GetNumColumns | ( |  | ) |

Get the number of rows in the table

Returns
  number of rows in the table

## ◆ GetNumRows()

UInt32 pdftron::Layout::Table::GetNumRows | ( |  | ) |

Get the number of rows in the table

Returns
  number of rows in the table

## ◆ GetTableCell()

TableCell pdftron::Layout::Table::GetTableCell | ( | UInt32 | column,
|  | UInt32 | row )

Get a cell from the table

Parameters

  column | The column index of the cell to retrieve
  row | The row index of the cell to retrieve

Returns
  the TableCell at the specified column and row

## ◆ SetBorder()

void pdftron::Layout::Table::SetBorder | ( | double | thickness,
|  | UInt8 | red,
|  | UInt8 | green,
|  | UInt8 | blue )

Set the cell's border thickness and color

Parameters

  thickness | The thickness of the border in points
  red | The red component of the border color
  green | The green component of the border color
  blue | The blue component of the border color

## ◆ SetDefaultColumnWidth()

void pdftron::Layout::Table::SetDefaultColumnWidth | ( | double | val | ) |

Set default column weight of the table

Parameters

  val | The default column weight

## ◆ SetDefaultRowHeight()

void pdftron::Layout::Table::SetDefaultRowHeight | ( | double | val | ) |

Set default row height of the table

Parameters

  val | The default row height

## Friends And Related Symbol Documentation

## ◆ ElementRef< Table >

friend class ElementRef< Table >
| friend

Definition at line 787 of file ContentTree.h.

## ◆ FlowDocument

friend class FlowDocument
| friend

Definition at line 787 of file ContentTree.h.

## ◆ TableCell

friend class TableCell
| friend

Definition at line 789 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h